summaryrefslogtreecommitdiffstats
path: root/mkosi.postinst
diff options
context:
space:
mode:
Diffstat (limited to 'mkosi.postinst')
-rwxr-xr-xmkosi.postinst27
1 files changed, 27 insertions, 0 deletions
diff --git a/mkosi.postinst b/mkosi.postinst
new file mode 100755
index 0000000..8dca071
--- /dev/null
+++ b/mkosi.postinst
@@ -0,0 +1,27 @@
+#!/bin/sh
+set -ex
+export DEBIAN_FRONTEND=noninteractive
+
+# motd
+chmod 644 /etc/update-motd.d/*
+systemctl mask motd-news.service
+systemctl mask motd-news.timer
+
+# Add update- and security-repositories, and perform upgrade
+RELEASE=$(grep DISTRIB_CODENAME /etc/lsb-release | awk -F'=' '{print $2}')
+echo "deb http://no.archive.ubuntu.com/ubuntu ${RELEASE}-security main universe" >> /etc/apt/sources.list
+echo "deb http://no.archive.ubuntu.com/ubuntu ${RELEASE}-updates main universe" >> /etc/apt/sources.list
+apt-get update && apt-get --yes full-upgrade && apt-get --yes autoremove
+
+# etherpad
+groupadd --system etherpad
+useradd --home-dir /opt/etherpad --system --gid etherpad etherpad
+
+
+git clone --branch master https://github.com/ether/etherpad-lite.git /opt/etherpad
+chmod 700 /opt/etherpad
+chown -R etherpad: /opt/etherpad
+
+sudo -u etherpad -H /opt/etherpad/bin/installDeps.sh
+
+systemctl enable etherpad